import { CoreConfig, CreateQuestionsOptions, RegSuitConfiguration } from "reg-suit-interface";
import { RegLogger, LogLevel } from "reg-suit-util";
import { ConfigManager } from "./config-manager";
import { PluginManager } from "./plugin-manager";
import { RegProcessor } from "./processor";
export declare class RegSuitCore {
    noEmit: boolean;
    logger: RegLogger;
    _pluginManager: PluginManager;
    _config: RegSuitConfiguration;
    _configManager: ConfigManager;
    constructor(opt?: {
        logLevel?: LogLevel;
        noEmit?: boolean;
    });
    createQuestions(opt: CreateQuestionsOptions): {
        name: string;
        questions: any[];
        prepare: (inquireResult: any) => Promise<any>;
        configured: any;
    }[];
    persistMergedConfig(opt: {
        core?: CoreConfig;
        pluginConfigs: {
            name: string;
            config: any;
        }[];
    }, confirm: (newConfig: RegSuitConfiguration) => Promise<boolean>): Promise<void>;
    createProcessor(configFileName?: string): RegProcessor;
    _loadConfig(configFileName?: string): RegSuitConfiguration;
    getDirectoryInfo(configFileName?: string): {
        workingDir: string;
        actualDir: string;
        expectedDir: string;
    };
}
